Subject: Re: [ippm] Calls for adoption as WG items

From: Brian Trammell <[email-masked]>
Date: Wed, 2 Jul 2014 11:30:16 +0200

Greetings, IPPM,

A gentle reminder: We would like very much to have discussion on adoption completed before the Toronto meeting, so we can spend face to face time on the documents themselves. And we cannot adopt drafts as Working Group items for which there is not a strong demonstration of support and commitment to read, review, and improve the drafts.

So, please see last week's call for adoption notice, consider whether you support adoption of the named drafts, and whether you can commit to review them.

The deadline for this call for adoption is, as before, end of day Thursday 10 July 2014.

Many thanks and best regards,

Brian Trammell, as co-chair.

On 24 Jun 2014, at 16:17, Brian Trammell <[email-masked]> wrote:

> Greetings, IPPM,
> 
> This is a call for adoption for four new milestones under the current IPPM charter.
> 
> (1) Submit a draft updating RFC2679 based on testing and implementation 
>    experience (RFC 6808) to the IESG as Proposed Standard
>  (under consideration for this milestone is draft-morton-ippm-2679-bis-04)
> 
> (2) Submit a draft updating RFC2680 based on testing and implementation 
>    experience (draft-ietf-ippm-testplan-rfc2680-05) to the IESG as 
>    Proposed Standard
>  (under consideration for this milestone is draft-morton-ippm-2679-bis-04)
> 
> (3) Submit a draft adding DSCP and ECN monitoring to TWAMP to the 
>    IESG as Proposed Standard
>  (under consideration for this milestone is draft-hedin-ippm-type-p-monitor-03)
> 
> (4) Submit a draft adding a UDP Checksum Trailer to OWAMP and TWAMP to the IESG 
>    as Informational
>  (under consideration for this milestone is draft-mizrahi-ippm-checksum-trailer-00)
> 
> For each draft, please indicate the following to the list at [email-masked]
> 
> (a) whether you support the addition of the milestone and the adoption of the draft as a WG item to fulfill that milestone
> (b) whether you have read the draft
> (c) whether you pledge to review the draft during the WG process.
> 
> This call for adoption will last until Thursday 10 July 2014.
> 
> Many thanks, best regards,
> 
> Brian
> 
> On 02 Jun 2014, at 18:07, Brian Trammell <[email-masked]> wrote:
> 
>> Greetings, IPPM,
>> 
>> Thanks and congratulations to the authors on the approval of our first draft from the "new" (March 2013) charter!
>> 
>> As we're moving forward in our charter, it's time to consider adopting new drafts.
>> 
>> I've seen implicit requests for a call for adoption for the following two drafts, which were not adopted in Orlando because we wanted to see if 2330-update would change their scope significantly:
>> 
>> draft-morton-ippm-2679-bis-04
>> draft-morton-ippm-2680-bis-02
>> 
>> We have at least one explicit request for a call for adoption:
>> 
>> draft-hedin-ippm-type-p-monitor-03
>> 
>> If there are other documents which you would like to have considered for adoption as IPPM WG items in the next round under the present charter, please notify the chairs at [email-masked] by Friday, June 6th; we'll run the call for adoption after that.
>> 
>> Thanks, cheers,
>> 
>> Brian (as chair)
>> 
>> 
>> Begin forwarded message:
>> 
>>> From: The IESG <[email-masked]>
>>> Subject: Document Action: 'Advanced Stream and Sampling Framework for IPPM' to Informational RFC (draft-ietf-ippm-2330-update-05.txt)
>>> Date: 29 May 2014 21:41:55 GMT+2
>>> Resent-To: [email-masked], [email-masked],
>>> To: IETF-Announce <[email-masked]>
>>> Cc: RFC Editor <[email-masked]>, ippm mailing list <[email-masked]>, ippm chair <[email-masked]>
>>> 
>>> The IESG has approved the following document:
>>> - 'Advanced Stream and Sampling Framework for IPPM'
>>> (draft-ietf-ippm-2330-update-05.txt) as Informational RFC
>>> 
>>> This document is the product of the IP Performance Metrics Working Group.
>>> 
>>> The IESG contact persons are Spencer Dawkins and Martin Stiemerling.
>>> 
>>> A URL of this Internet Draft is:
>>> http://datatracker.ietf.org/doc/draft-ietf-ippm-2330-update/
>>> 
>>> 
>>> 
>>> 
>>> 
>>> Technical Summary
>>> 
>>> To obtain repeatable results in modern networks, test descriptions 
>>> need an expanded stream parameter framework that also augments 
>>> aspects specified as Type-P for test packets.  This memo updates
>>> the IP Performance Metrics (IPPM) Framework, RFC 2330, with 
>>> advanced considerations for measurement methodology and testing.  
>>> The existing framework mostly assumes deterministic connectivity, 
>>> and that a single test stream will represent the characteristics of the 
>>> path when it is aggregated with other flows.  Networks have evolved 
>>> and test stream descriptions must evolve with them, otherwise 
>>> unexpected network features may dominate the measured performance.  
>>> This memo describes new stream parameters for both network 
>>> characterization and support of application design using IPPM metrics.
>>> 
>>> Working Group Summary
>>> 
>>> This draft was first introduced to the working group in October 2012. 
>>> Support for the draft was indicated at meetings with no dissent.
>>> 
>>> Document Quality
>>> 
>>> As an update to the IPPM Framework, this document adds 
>>> new and updated considerations for stream parameters.
>>> 
>>> The document shepherd reviewed the document as a “-02” 
>>> draft and reviewed the changes which constitute “-03” and “-04”.
>>> 
>>> As documented, other topics in the IPPM Framework which 
>>> might be updated or augmented are deferred to future work.  This 
>>> includes the topics of passive and various forms of of hybrid 
>>> active/passive measurements.
>>> 
>>> Personnel
>>> 
>>> The document shepherd was Bill Cerveny. The responsible 
>>> area director is Spencer Dawkins.
>> 
>> _______________________________________________
>> ippm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ippm
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

---

From: <[email-masked]>
Date: Wed, 2 Jul 2014 13:02:20 +0200

Hi Brian,

I support adopting these new milestones.

Regards, Ruediger

-----Ursprüngliche Nachricht-----
Von: ippm [mailto:[email-masked]] Im Auftrag von Brian Trammell
Gesendet: Mittwoch, 2. Juli 2014 11:30
An: [email-masked]
Betreff: Re: [ippm] Calls for adoption as WG items

Greetings, IPPM,

On 24 Jun 2014, at 16:17, Brian Trammell <[email-masked]> wrote:

>    experience (RFC 6808) to the IESG as Proposed Standard  (under 
> consideration for this milestone is draft-morton-ippm-2679-bis-04)
> 
> (a) whether you support the addition of the milestone and the adoption 
> of the draft as a WG item to fulfill that milestone
>>> Subject: Document Action: 'Advanced Stream and Sampling Framework 
>>> for IPPM' to Informational RFC (draft-ietf-ippm-2330-update-05.txt)
>>> Cc: RFC Editor <[email-masked]>, ippm mailing list 
>>> <[email-masked]>, ippm chair <[email-masked]>
>>> 
>>> aspects specified as Type-P for test packets.  This memo updates the 
>>> IP Performance Metrics (IPPM) Framework, RFC 2330, with advanced 
>>> considerations for measurement methodology and testing.
>>> and that a single test stream will represent the characteristics of 
>>> the path when it is aggregated with other flows.  Networks have 
>>> evolved and test stream descriptions must evolve with them, 
>>> otherwise unexpected network features may dominate the measured performance.
>>> As an update to the IPPM Framework, this document adds new and 
>>> updated considerations for stream parameters.
>>> 
>>> The document shepherd reviewed the document as a "-02" 
>>> draft and reviewed the changes which constitute "-03" and "-04".
>>> 
>>> As documented, other topics in the IPPM Framework which might be 
>>> updated or augmented are deferred to future work.  This includes the 
>>> topics of passive and various forms of of hybrid active/passive 
>>> measurements.
>>> 
>>> Personnel
>>> 
>>> The document shepherd was Bill Cerveny. The responsible area 
>>> director is Spencer Dawkins.
>>

---

From: Joachim Fabini <[email-masked]>
Date: Tue, 08 Jul 2014 08:42:13 +0200

Hi Brian, IPPM,

Having finally read (1) and (2) I support adoption of these
drafts/milestones. I will submit a summary of my review to the list
for discussion within the next week(s) and I plan to contribute to the
review process of these two documents in the future.

best regards
Joachim

On 02.07.2014 11:30, Brian Trammell wrote:
> Greetings, IPPM,
> 
> A gentle reminder: We would like very much to have discussion on
> adoption completed before the Toronto meeting, so we can spend face
> to face time on the documents themselves. And we cannot adopt
> drafts as Working Group items for which there is not a strong
> demonstration of support and commitment to read, review, and
> improve the drafts.
> 
> So, please see last week's call for adoption notice, consider
> whether you support adoption of the named drafts, and whether you
> can commit to review them.
> 
>> (1) Submit a draft updating RFC2679 based on testing and
>> implementation experience (RFC 6808) to the IESG as Proposed
>> Standard (under consideration for this milestone is
>> draft-morton-ippm-2679-bis-04)
>> 
>> (2) Submit a draft updating RFC2680 based on testing and
>> implementation experience (draft-ietf-ippm-testplan-rfc2680-05)
>> to the IESG as Proposed Standard (under consideration for this
>> milestone is draft-morton-ippm-2679-bis-04)
>> 
>>  IESG as Proposed Standard (under consideration for this
>> milestone is draft-hedin-ippm-type-p-monitor-03)
>> 
>> (4) Submit a draft adding a UDP Checksum Trailer to OWAMP and
>> TWAMP to the IESG as Informational (under consideration for this
>> milestone is draft-mizrahi-ippm-checksum-trailer-00)
>> 
>> (a) whether you support the addition of the milestone and the
>> adoption of the draft as a WG item to fulfill that milestone (b)
>> whether you have read the draft (c) whether you pledge to review
>> the draft during the WG process.
>> 
>>> Thanks and congratulations to the authors on the approval of
>>> our first draft from the "new" (March 2013) charter!
>>> 
>>> I've seen implicit requests for a call for adoption for the
>>> following two drafts, which were not adopted in Orlando because
>>> we wanted to see if 2330-update would change their scope
>>> significantly:
>>> 
>>> draft-morton-ippm-2679-bis-04 draft-morton-ippm-2680-bis-02
>>> 
>>> If there are other documents which you would like to have
>>> considered for adoption as IPPM WG items in the next round
>>> under the present charter, please notify the chairs at
>>> [email-masked] by Friday, June 6th; we'll run the
>>> call for adoption after that.
>>> 
>>> Thanks, cheers,
>>> 
>>> Brian (as chair)
>>> 
>>> 
>>> Begin forwarded message:
>>> 
>>>> From: The IESG <[email-masked]> Subject: Document
>>>> Action: 'Advanced Stream and Sampling Framework for IPPM' to
>>>> Informational RFC (draft-ietf-ippm-2330-update-05.txt) Date:
>>>> 29 May 2014 21:41:55 GMT+2 Resent-To: [email-masked],
>>>> [email-masked], To: IETF-Announce <[email-masked]> 
>>>> The IESG has approved the following document: - 'Advanced
>>>> Stream and Sampling Framework for IPPM' 
>>>> To obtain repeatable results in modern networks, test
>>>> descriptions need an expanded stream parameter framework that
>>>> also augments aspects specified as Type-P for test packets.
>>>> This memo updates the IP Performance Metrics (IPPM)
>>>> Framework, RFC 2330, with advanced considerations for
>>>> measurement methodology and testing. The existing framework
>>>> mostly assumes deterministic connectivity, and that a single
>>>> test stream will represent the characteristics of the path
>>>> when it is aggregated with other flows.  Networks have
>>>> otherwise unexpected network features may dominate the
>>>> measured performance. This memo describes new stream
>>>> parameters for both network characterization and support of
>>>> application design using IPPM metrics.
>>>> 
>>>> Working Group Summary
>>>> 
>>>> This draft was first introduced to the working group in
>>>> October 2012. Support for the draft was indicated at meetings
>>>> with no dissent.
>>>> 
>>>> Document Quality
>>>> 
>>>> As an update to the IPPM Framework, this document adds new
>>>> and updated considerations for stream parameters.
>>>> 
>>>> The document shepherd reviewed the document as a “-02” draft
>>>> and reviewed the changes which constitute “-03” and “-04”.
>>>> 
>>>> As documented, other topics in the IPPM Framework which might
>>>> be updated or augmented are deferred to future work.  This 
>>> _______________________________________________ ippm mailing
>>> list [email-masked] https://www.ietf.org/mailman/listinfo/ippm
>> 
>> _______________________________________________ ippm mailing
>> list [email-masked] https://www.ietf.org/mailman/listinfo/ippm
> 
> 
> 
> _______________________________________________ ippm mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/ippm
>